import React from "react";
import { WeekDay } from "../types";
interface WeeklySelectProps {
    readonly disabled: boolean;
    readonly selectedDays: Set<WeekDay>;
    onChange(selectedDays: Set<WeekDay>): void;
}
export declare function WeeklySelect({ onChange, selectedDays, disabled, }: WeeklySelectProps): React.JSX.Element;
export {};
